/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.sysds.common;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.sysds.conf.DMLConfig;

public class Warnings 
{
	private static final Log LOG = LogFactory.getLog(DMLConfig.class.getName());
	
	public static void warnFullFP64Conversion(long len) {
		LOG.warn("Performance warning: conversion to FP64 array of size "+len+".");
	}
	
	public static void warnInvalidBooleanIncrement(double delta) {
		LOG.warn("Correctness warning: invalid boolean increment by "+delta+".");
	}
}
